# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{rcodetools}
  s.version = "0.8.5.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["rubikitch and Mauricio Fernandez"]
  s.date = %q{2009-04-24}
  s.description = %q{rcodetools is a collection of Ruby code manipulation tools. 
It includes xmpfilter and editor-independent Ruby development helper tools,
as well as emacs and vim interfaces.

Currently, rcodetools comprises:
* xmpfilter: Automagic Test::Unit assertions/RSpec expectations and code annotations
* rct-complete: Accurate method/class/constant etc. completions
* rct-doc: Document browsing and code navigator
* rct-meth-args: Precise method info (meta-prog. aware) and TAGS generation
}
  s.email = %q{"rubikitch" <rubikitch@ruby-lang.org>, "Mauricio Fernandez" <mfp@acm.org>}
  s.executables = ["rct-complete", "rct-doc", "xmpfilter", "rct-meth-args"]
  s.extra_rdoc_files = ["README"]
  s.files = ["bin/xmpfilter", "bin/rct-fork-client", "bin/rct-meth-args", "bin/rct-doc", "bin/rct-complete", "bin/rct-fork", "bin/ruby-toggle-file", "bin/rbtest", "lib/method_analyzer.rb", "lib/rcodetools/xmptestunitfilter.rb", "lib/rcodetools/completion.rb", "lib/rcodetools/fork_config.rb", "lib/rcodetools/xmpfilter.rb", "lib/rcodetools/doc.rb", "lib/rcodetools/compat.rb", "lib/rcodetools/options.rb", "lib/rcodetools/fork.rb", "lib/ruby_toggle_file.rb", "CHANGES", "rcodetools.vim", "rcodetools.el", "rcodetools.gif", "rcodetools.sxmp", "rcodetools.elc", "icicles-rcodetools.el", "anything-rcodetools.el", "README", "README.method_analysis", "README.xmpfilter", "README.emacs", "README.TDC", "README.vim", "README.ja", "THANKS", "Rakefile", "Rakefile.method_analysis", "setup.rb", "test/data/sample_test_script.rb", "test/data/method_analyzer-data.rb", "test/data/method_args.data.rb", "test/data/attic/unit_test_detect_rbtest-input.rb", "test/data/attic/unit_test_detect_rbtest-output.rb", "test/data/attic/ri_emacs-output.rb", "test/data/attic/doc_detect_rbtest2-output.rb", "test/data/attic/ri_emacs-input.rb", "test/data/attic/ri-input.rb", "test/data/attic/doc_detect_rbtest-output.rb", "test/data/attic/completion_detect_rbtest-input.rb", "test/data/attic/rspec-input.rb", "test/data/attic/add_markers-output.rb", "test/data/attic/unit_test-output.rb", "test/data/attic/simple_annotation-output.rb", "test/data/attic/completion_class_info_no_candidates-input.rb", "test/data/attic/completion_emacs_icicles-output.rb", "test/data/attic/doc_detect_rbtest2-input.rb", "test/data/attic/completion_class_info-input.rb", "test/data/attic/completion-output.rb", "test/data/attic/no_warnings-input.rb", "test/data/attic/doc-input.rb", "test/data/attic/unit_test_poetry-output.rb", "test/data/attic/completion_rbtest-output.rb", "test/data/attic/ri_vim-output.rb", "test/data/attic/doc_rbtest-output.rb", "test/data/attic/completion_class_info_no_candidates-output.rb", "test/data/attic/completion_in_method-test.rb", "test/data/attic/ri_vim-input.rb", "test/data/attic/no_warnings-output.rb", "test/data/attic/rspec_poetry-output.rb", "test/data/attic/rspec_poetry-input.rb", "test/data/attic/ri-output.rb", "test/data/attic/completion_emacs_icicles-input.rb", "test/data/attic/refe-input.rb", "test/data/attic/unit_test_rbtest-output.rb", "test/data/attic/rspec-output.rb", "test/data/attic/bindings-input.rb", "test/data/attic/unit_test-input.rb", "test/data/attic/bindings-output.rb", "test/data/attic/unit_test_poetry-input.rb", "test/data/attic/doc_detect_rbtest-input.rb", "test/data/attic/doc_rbtest-input.rb", "test/data/attic/completion_in_method-input.rb", "test/data/attic/simple_annotation-input.rb", "test/data/attic/completion_detect_rbtest2-output.rb", "test/data/attic/unit_test_rbtest-input.rb", "test/data/attic/completion_emacs-input.rb", "test/data/attic/completion_detect_rbtest-output.rb", "test/data/attic/unit_test_detect_rbtest2-input.rb", "test/data/attic/completion_in_method-output.rb", "test/data/attic/completion_emacs-output.rb", "test/data/attic/unit_test_detect_rbtest2-output.rb", "test/data/attic/completion_detect_rbtest2-input.rb", "test/data/attic/doc-output.rb", "test/data/attic/completion-input.rb", "test/data/attic/add_markers-input.rb", "test/data/attic/completion_class_info-output.rb", "test/data/attic/completion_rbtest-input.rb", "test/data/attic/refe-output.rb", "test/data/xmpfilter/mult.rb", "test/test_functional.rb", "test/test_ruby_toggle_file.rb", "test/test_doc.rb", "test/test_method_args.rb", "test/test_options.rb", "test/test_xmpfilter.rb", "test/attic/test_run.rb", "test/tmp_run.rb", "test/test_completion.rb", "test/tmp_functional.rb", "test/test_xmptestunitfilter.rb", "test/test_method_analyzer.rb", "test/data/rct-complete-TDC/completion_in_method__testscript.taf", "test/data/rct-complete-TDC/completion_in_method__testmethod.taf", "test/data/rct-complete-TDC/completion_in_method__wrong_testmethod.taf", "test/data/rct-doc/ri_vim.taf", "test/data/rct-doc/ri.taf", "test/data/rct-doc/doc.taf", "test/data/rct-doc/doc_detect_rbtest.taf", "test/data/rct-doc/ri_emacs.taf", "test/data/rct-doc/refe.taf", "test/data/rct-doc/doc_rbtest.taf", "test/data/rct-doc/doc_detect_rbtest2.taf", "test/data/rct-complete/completion_emacs_icicles.taf", "test/data/rct-complete/completion_emacs.taf", "test/data/rct-complete/completion_detect_rbtest2.taf", "test/data/rct-complete/completion_class_info.taf", "test/data/rct-complete/completion_class_info_no_candidates.taf", "test/data/rct-complete/completion_detect_rbtest.taf", "test/data/rct-complete/completion.taf", "test/data/rct-complete/completion_rbtest.taf", "test/data/xmpfilter/comment_out.taf", "test/data/xmpfilter/exception.taf", "test/data/xmpfilter/width.taf", "test/data/xmpfilter/no_warnings.taf", "test/data/xmpfilter/unit_test_detect_rbtest2.taf", "test/data/xmpfilter/bindings.taf", "test/data/xmpfilter/multi_line_annotation_4.taf", "test/data/xmpfilter/multi_line_annotation_7.taf", "test/data/xmpfilter/unit_test.taf", "test/data/xmpfilter/unit_test_rbtest.taf", "test/data/xmpfilter/unit_test_poetry.taf", "test/data/xmpfilter/add_markers.taf", "test/data/xmpfilter/multi_line_annotation_2.taf", "test/data/xmpfilter/last_match.taf", "test/data/xmpfilter/nospace.taf", "test/data/xmpfilter/simple_annotation.taf", "test/data/xmpfilter/multi_line_annotation_6.taf", "test/data/xmpfilter/unit_test_detect_rbtest.taf", "test/data/xmpfilter/multi_line_annotation_3.taf", "test/data/xmpfilter/rspec.taf", "test/data/xmpfilter/rspec_poetry.taf", "test/data/xmpfilter/multi_line_annotation_1.taf", "test/data/xmpfilter/expectations.taf", "test/data/xmpfilter/multi_line_annotation_5.taf"]
  s.homepage = %q{http://eigenclass.org/hiki.rb?rcodetools}
  s.post_install_message = %q{
==============================================================================

rcodetools will work better if you use it along with FastRI, an alternative to
the standard 'ri' documentation browser which features intelligent searching,
better RubyGems integration, vastly improved performance, remote queries via
DRb... You can find it at http://eigenclass.org/hiki.rb?fastri and it is also
available in RubyGems format:

    gem install fastri

Read README.emacs and README.vim for information on how to integrate
rcodetools in your editor.

==============================================================================

}
  s.rdoc_options = ["--main", "README", "--title", "rcodetools"]
  s.require_paths = ["lib"]
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{rcodetools is a collection of Ruby code manipulation tools}
  s.test_files = ["test/test_functional.rb", "test/test_ruby_toggle_file.rb", "test/test_doc.rb", "test/test_method_args.rb", "test/test_options.rb", "test/test_xmpfilter.rb", "test/test_completion.rb", "test/test_xmptestunitfilter.rb", "test/test_method_analyzer.rb"]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
    else
    end
  else
  end
end
